## lua-nginx-string 0.11

=== Makefile ===
OPENRESTY_PREFIX=/usr/local/openresty

PREFIX ?=          /usr/local
LUA_INCLUDE_DIR ?= $(PREFIX)/include
LUA_LIB_DIR ?=     $(PREFIX)/lib/lua/$(LUA_VERSION)
INSTALL ?= install

.PHONY: all test install

all: ;

install: all
	$(INSTALL) -d $(DESTDIR)/$(LUA_LIB_DIR)/resty
	$(INSTALL) lib/resty/*.lua $(DESTDIR)/$(LUA_LIB_DIR)/resty

test: all
	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../test-nginx/lib -r t

## lua-nginx-string 0.09

=== debian/changelog ===
lua-nginx-string (0.09-1) unstable; urgency=low

  * Initial release. Closes: #805603

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 20 Nov 2015 10:34:05 +0800

=== debian/control ===
Source: lua-nginx-string
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-lua,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/lua-nginx-string.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/collab-maint/lua-nginx-string.git -b debian/sid
Homepage: https://github.com/openresty/lua-resty-string

Package: lua-nginx-string
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: String utilities for the nginx embedded Lua language
 lua-nginx-string provides the string utilities and common hash functions for
 the nginx embedded Lua language.

## lua-nginx-string 0.10

=== debian/changelog ===
lua-nginx-string (0.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1.
  * Bump compat to 10.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Aug 2017 10:55:41 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-lua,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/lua-nginx-string.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/collab-maint/lua-nginx-string.git -b debian/sid
+Standards-Version: 4.0.1
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lua-nginx-string.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lua-nginx-string.git
 Homepage: https://github.com/openresty/lua-resty-string
 
 Package: lua-nginx-string

## lua-nginx-string 0.11

=== debian/changelog ===
lua-nginx-string (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
    * Change Format in copyright to https.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 24 Apr 2018 14:53:17 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-lua,
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lua-nginx-string.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lua-nginx-string.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/lua-nginx-string
+Vcs-Git: https://salsa.debian.org/debian/lua-nginx-string.git
 Homepage: https://github.com/openresty/lua-resty-string
 
 Package: lua-nginx-string

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	perl -i -pe s/resty/nginx/g lib/resty/*.lua
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	perl -i -pe s/nginx/resty/g lib/resty/*.lua

=== debian/watch ===
version=3
https://github.com/openresty/lua-resty-string/releases .*/v([\d\.]*)\.tar.gz
